Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1587 - esound fallback failure.
Summary: esound fallback failure.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: esound
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-17 21:03 UTC by Mike Maher
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-10 15:29:45 UTC


Attachments (Terms of Use)

Description Mike Maher 1999-03-17 21:03:20 UTC
Applications compiled with esound are supposed to fail over
to /dev/dsp if esound is not running.  Currently this does
not work and fails.  An example of this behavior is mpg123q
which is in /mnt/redhat/comps/dist/6.0/

output of this type of problem is:

write(2, "Unable to connect to server port"..., 39Unable to
connect to server port 35091
) = 39
write(2, "This generally means that the pr"..., 74This
generally means that the program could not talk to the
esound server
) = 74
open("/dev/dsp", O_WRONLY)              = 4
ioctl(4, SNDCTL_DSP_SETFRAGMENT, 0xbffff5a4) = 0
ioctl(4, SNDCTL_DSP_SETFMT, 0xbffff5a4) = 0
ioctl(4, SNDCTL_DSP_GETFMTS, 0xbffff5a4) = 0
ioctl(4, SNDCTL_DSP_STEREO, 0xbffff5a4) = 0
ioctl(4, SNDCTL_DSP_SPEED, 0xbffff5a4)  = 0
write(2, "unsupported playback rate: -1\n", 30unsupported
playback rate: -1
) = 30
close(4)                                = 0
write(2, "audio: Connection refused\n", 26audio: Connection
refused
) = 26
munmap(0x40013000, 4096)                = 0
_exit(1)                                = ?


or without an strace:

[root@kenny stuff]# mpg123 rms.mp3
High Performance MPEG 1.0/2.0/2.5 Audio Player for Layer 1,
2 and 3.
Version 0.59q (1999/Jan/26). Written and copyrights by
Michael Hipp.
Uses code from various people. See 'README' for more!
THIS SOFTWARE COMES WITH ABSOLUTELY NO WARRANTY! USE AT YOUR
OWN RISK!
opening socket, format = 0x00001021 at -1 Hz
Unable to connect to server port 35091
This generally means that the program could not talk to the
esound server
unsupported playback rate: -1
audio: Connection refused

Comment 1 Michael Fulbright 1999-03-30 16:39:59 UTC
We are implementing a better fallback mechanism for esd that
should be working in a day or two.

Comment 2 Michael K. Johnson 1999-04-10 01:19:59 UTC
DrMike: you are satisfied with the fallback y'all implemented,
correct?  If so, feel free to close this bug.


Note You need to log in before you can comment on or make changes to this bug.